Subject: Re: bug#37130: 27.0.50; Tar mode should use the ISO8601 format to display the timestamps (or support TIME_STYLE or locales)

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Aug 2019 05:46:26 +0200

Vincent Lefevre <[email-masked]> writes:

> When tar-mode-show-date is set to t (to get the timestamps), the
> Tar mode displays them in a non-standard format. It should use
> the ISO8601 format (this is what GNU tar does).

I think it makes sense to follow GNU tar's lead here, so I've now done
this on the trunk.

> Other formats (e.g. one corresponding to the locales) could be used
> via an option; in particular, the support of the TIME_STYLE
> environment variable (see coreutils manual) would be a good idea.

I think that sounds like overkill for tar-mode, but perhaps there should
be a general function somewhere for using TIME_STYLE throughout Emacs
whenever time/dates are displayed.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no